package cn.quantgroup.xyqb.service.user;

import cn.quantgroup.user.enums.OccupationEnum;
import cn.quantgroup.xyqb.entity.UserExtInfo;

import java.sql.Timestamp;
import java.util.List;
import java.util.Map;

/**
 * Created by Miraculous on 2017/1/3.
 */
public interface IUserExtInfoService {

    UserExtInfo findByUserId(Long userId);

    UserExtInfo save(UserExtInfo info);

    List<UserExtInfo> findByCreatedAtAfterAndCreatedAtBeforeAndOccupationEnum(Timestamp start, Timestamp end);


}
